Project

General

Profile

action #56567

[qam][urgent] test fails in update_install

Added by msmeissn about 2 years ago. Updated over 1 year ago.

Status:
Resolved
Priority:
Urgent
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
Due date:
2020-04-17
% Done:

0%

Estimated time:
Difficulty:

Description

Observation

openQA test in scenario sle-12-SP4-Server-DVD-Incidents-Install-x86_64-qam-incidentinstall@64bit fails in
update_install

The problem is that this testcase does not handle addition of new packages by feature updates , as it tries to install all packages from to the target set.

Test suite description

Incident Installation TEST

Reproducible

Fails since (at least) Build :12442:cjose (current job)

Expected result

Last good: :12439:zypper (or more recent)

Further details

Always latest result in this scenario: latest

History

#1 Updated by SLindoMansilla about 2 years ago

  • Subject changed from test fails in update_install to [qam] test fails in update_install

#2 Updated by brhavel almost 2 years ago

  • Subject changed from [qam] test fails in update_install to [qam][urgent] test fails in update_install
  • Priority changed from Normal to Urgent

#3 Updated by apappas over 1 year ago

  • Start date changed from 2019-09-07 to 2019-09-20

This seems to no longer be a problem, but I'll add a check to see if all the packages in the update are installed.

#4 Updated by apappas over 1 year ago

  • Assignee set to apappas

#5 Updated by tjyrinki_suse over 1 year ago

  • Due date set to 2020-04-17
  • Status changed from New to In Progress
  • Start date deleted (2019-09-20)

#6 Updated by apappas over 1 year ago

  • Status changed from In Progress to Resolved

Fixed by this

In investigating this I found that openQA doesn't always install all packages.

MTUI:
Prepare and list packages

packages on bragi.qam.suse.de (sles-modules-15-x86_64):                                                                                                                                                                                       
tomcat                        : 9.0.33-3.46.1        update needed                                                                                                                                                                            
tomcat-admin-webapps          : 9.0.33-3.46.1        update needed
tomcat-el-3_0-api             : 9.0.33-3.46.1        update needed
tomcat-jsp-2_3-api            : 9.0.33-3.46.1        update needed
tomcat-lib                    : 9.0.33-3.46.1        update needed
tomcat-servlet-4_0-api        : 9.0.33-3.46.1        update needed
tomcat-webapps                : 9.0.33-3.46.1        update needed

Update and list packages:

tomcat                        : 9.0.33-3.49.1        updated
tomcat-admin-webapps          : 9.0.33-3.49.1        updated
tomcat-el-3_0-api             : 9.0.33-3.49.1        updated
tomcat-jsp-2_3-api            : 9.0.33-3.49.1        updated
tomcat-lib                    : 9.0.33-3.49.1        updated
tomcat-servlet-4_0-api        : 9.0.33-3.49.1        updated
tomcat-webapps                : 9.0.33-3.49.1        updated

On openQA:

(1/5) Installing: tomcat-servlet-4_0-api-9.0.33-4.27.1.noarch [................done]
(2/5) Installing: tomcat-el-3_0-api-9.0.33-4.27.1.noarch [................done]
(3/5) Installing: tomcat-jsp-2_3-api-9.0.33-4.27.1.noarch [............done]
(4/5) Installing: tomcat-lib-9.0.33-4.27.1.noarch [...................done]
(5/5) Installing: tomcat-9.0.33-4.27.1.noarch [...................done]
Additional rpm output:
Updating /etc/sysconfig/tomcat ...

tomcat-webapps is missing from the openQA test.

The affected RR is SUSE:Maintenance:14678:215550 and the openQA run is https://openqa.suse.de/tests/4098573

A new ticket will be made for that.

Also available in: Atom PDF